Skip to content

Agent Inbound Calls

Endpoint: GET /reporting/agent/inbound-calls


Request

Headers

Header Value
Access-Token {access_token}
Content-Type application/json

Body

{
  "dateFrom": "2021-03-01",
  "dateTo": "2021-03-03",
  "dispositionIds": [
    1,
    2
  ],
  "agentIds": [
    1,
    2
  ]
}

Response (200 OK)

{
  "1": {
    "agentId": 1,
    "agentName": "Agent 1",
    "totalIncoming": 5,
    "totalTransferred": 1,
    "totalTransferredPercent": 20,
    "avgTalkTime": 12,
    "avgWrapUpTime": 105648,
    "dispositions": {
      "1": {
        "id": 1,
        "code": "Disposition 1",
        "total": "2"
      },
      "2": {
        "id": 2,
        "code": "Disposition 2",
        "total": "1"
      }
    }
  },
  "2": {
    "agentId": 1,
    "agentName": "Agent 2",
    "totalIncoming": 5,
    "totalTransferred": 1,
    "totalTransferredPercent": 20,
    "avgTalkTime": 12,
    "avgWrapUpTime": 105648,
    "dispositions": []
  }
}